Debian Bug report logs - #629698
libblocksruntime: FTBFS: /usr/bin/ld: cannot find crti.o: No such file or directory

Package: src:libblocksruntime; Maintainer for src:libblocksruntime is Mark Heily <mark@heily.com>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Wed, 8 Jun 2011 15:09:06 UTC

Severity: serious

Tags: confirmed, sid, wheezy

Done: Scott Kitterman <debian@kitterman.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mark Heily <mark@heily.com>:
Bug#629698; Package src:libblocksruntime. (Wed, 08 Jun 2011 15:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Mark Heily <mark@heily.com>. (Wed, 08 Jun 2011 15:09:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: submit@bugs.debian.org
Subject: libblocksruntime: FTBFS: /usr/bin/ld: cannot find crti.o: No such file or directory
Date: Wed, 8 Jun 2011 17:08:23 +0200
Source: libblocksruntime
Version: 0.1-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110607 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«BUILDDIR»/libblocksruntime-0.1'
> clang -c -o runtime.o -DBlocksRuntime_EXPORTS -fPIC -std=c99 -Wall -Wextra -W -pedantic -Wno-unused-parameter runtime.c
> clang -c -o data.o -DBlocksRuntime_EXPORTS -fPIC -std=c99 -Wall -Wextra -W -pedantic -Wno-unused-parameter data.c
> clang -shared -Wl,-export-dynamic -Wl,-soname,libBlocksRuntime.so.0 -o libBlocksRuntime.so.0.0  runtime.o data.o 
> /usr/bin/ld: cannot find crti.o: No such file or directory
> clang: error: linker command failed with exit code 1 (use -v to see invocation)
> make[1]: *** [libBlocksRuntime.so] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/06/07/libblocksruntime_0.1-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Added blocking bug(s) of 629698: 627131 Request was from Mark Heily <mark@heily.com> to control@bugs.debian.org. (Tue, 14 Jun 2011 02:30:05 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Mark Heily <mark@heily.com> to control@bugs.debian.org. (Tue, 14 Jun 2011 02:30:06 GMT) Full text and rfc822 format available.

Reply sent to Hideki Yamane <henrich@debian.or.jp>:
You have taken responsibility. (Fri, 30 Dec 2011 15:15:26 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Fri, 30 Dec 2011 15:15:27 GMT) Full text and rfc822 format available.

Message #14 received at 629698-done@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 629698-done@bugs.debian.org
Date: Sat, 31 Dec 2011 00:12:47 +0900
Hi,

 blocker bug #627131 was fixed already, now I can build it fine.
 So, closing this bug. Thanks.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Jan 2012 07:40:46 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:42:09 GMT) Full text and rfc822 format available.

Bug reopened Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:42:11 GMT) Full text and rfc822 format available.

Reply sent to Scott Kitterman <debian@kitterman.com>:
You have taken responsibility. (Thu, 12 Jul 2012 04:54:04 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Thu, 12 Jul 2012 04:54:04 GMT) Full text and rfc822 format available.

Message #25 received at 629698-done@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 629698-done@bugs.debian.org
Subject: Builds fine here, not sure why this was reopened
Date: Thu, 12 Jul 2012 00:51:29 -0400
[Message part 1 (text/plain, inline)]
make[1]: Entering directory `/tmp/buildd/libblocksruntime-0.1'
clang -c -o runtime.o -DBlocksRuntime_EXPORTS -fPIC -std=c99 -Wall -Wextra -W 
-pedantic -Wno-unused-parameter runtime.c
clang -c -o data.o -DBlocksRuntime_EXPORTS -fPIC -std=c99 -Wall -Wextra -W -
pedantic -Wno-unused-parameter data.c
clang -shared -Wl,-export-dynamic -Wl,-soname,libBlocksRuntime.so.0 -o 
libBlocksRuntime.so.0.0  runtime.o data.o 
/bin/ln -sf libBlocksRuntime.so.0.0 libBlocksRuntime.so
make[1]: Leaving directory `/tmp/buildd/libblocksruntime-0.1'
[signature.asc (application/pgp-signature, inline)]

No longer marked as found in versions libblocksruntime/0.1-1. Request was from Scott Kitterman <scott@kitterman.com> to control@bugs.debian.org. (Thu, 12 Jul 2012 04:57:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Aug 2012 07:29:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:19:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.